Subject: Reading twd_base at run-time

From: [email-masked] (Mason)
Date: Wed, 01 Apr 2015 14:47:52 +0200

On 01/04/2015 14:28, Marc Zyngier wrote:

> It is worth mentioning that PERIPH_BASE is *not* an architected
> register, so an implementation is perfectly allowed not to implement it.
> Even on Cortex A9, a UP implementation will report PERIPH_BASE as zero.
> It is still likely to have a TWD though.

I understand now that the kernel cannot reliably discover PERIPH_BASE
at run-time; thus this piece of info must be communicated through DT.

> Indeed. And when probing is so unreliable, it is not worth using it.

Regards.